Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 295517)
+++ channels/chan_sip.c	(working copy)
@@ -1625,7 +1625,7 @@
 	struct sip_cc_agent_pvt *agent_pvt = agent->private_data;
 	const char *uri = arg;
 
-	return !strcmp(agent_pvt->notify_uri, uri) ? CMP_MATCH | CMP_STOP : 0;
+	return !sip_uri_cmp(agent_pvt->notify_uri, uri) ? CMP_MATCH | CMP_STOP : 0;
 }
 
 static struct ast_cc_agent *find_sip_cc_agent_by_notify_uri(const char * const uri)
@@ -1640,7 +1640,7 @@
 	struct sip_cc_agent_pvt *agent_pvt = agent->private_data;
 	const char *uri = arg;
 
-	return !strcmp(agent_pvt->subscribe_uri, uri) ? CMP_MATCH | CMP_STOP : 0;
+	return !sip_uri_cmp(agent_pvt->subscribe_uri, uri) ? CMP_MATCH | CMP_STOP : 0;
 }
 
 static struct ast_cc_agent *find_sip_cc_agent_by_subscribe_uri(const char * const uri)
